TagLib::FLAC::Picture Class Reference

FLAC picture. More...

`#include <flacpicture.h>`

Inheritance diagram for TagLib::FLAC::Picture:
[legend]
Collaboration diagram for TagLib::FLAC::Picture:
[legend]

## Public Member Functions

| Picture ()
| Picture (const ByteVector &data)
| ~Picture () override
| Picture (const Picture &item)=delete
Picture & | operator= (const Picture &item)=delete
Type | type () const
void | setType (Type type)
String | mimeType () const
void | setMimeType (const String &mimeType)
String | description () const
void | setDescription (const String &description)
int | width () const
void | setWidth (int width)
int | height () const
void | setHeight (int height)
int | colorDepth () const
void | setColorDepth (int colorDepth)
int | numColors () const
void | setNumColors (int numColors)
ByteVector | data () const
void | setData (const ByteVector &data)
int | code () const override
ByteVector | render () const override
bool | parse (const ByteVector &data)
Public Member Functions inherited from TagLib::FLAC::MetadataBlock
| MetadataBlock ()
virtual | ~MetadataBlock ()
| MetadataBlock (const MetadataBlock &item)=delete
MetadataBlock & | operator= (const MetadataBlock &item)=delete

## Additional Inherited Members

Public Types inherited from TagLib::FLAC::MetadataBlock
enum | BlockType { StreamInfo = 0 , Padding , Application , SeekTable , VorbisComment , CueSheet , Picture }

## Detailed Description

FLAC picture.

## Constructor & Destructor Documentation

## Picture() [1/3]

TagLib::FLAC::Picture::Picture | ( |  | ) |

References Picture().

Referenced by operator=(), Picture(), Picture(), Picture(), and ~Picture().

## Picture() [2/3]

TagLib::FLAC::Picture::Picture | ( | const ByteVector & | data | ) |

References data(), and Picture().

## ~Picture()

TagLib::FLAC::Picture::~Picture | ( |  | ) |

override

References Picture().

## Picture() [3/3]

TagLib::FLAC::Picture::Picture | ( | const Picture & | item | ) |

delete

References Picture().

## Member Function Documentation

## code()

int TagLib::FLAC::Picture::code | ( |  | ) | const

override virtual

Returns the FLAC metadata block type.

Implements TagLib::FLAC::MetadataBlock.

References code().

Referenced by code().

## colorDepth()

int TagLib::FLAC::Picture::colorDepth | ( |  | ) | const

Returns the color depth (in bits-per-pixel) of the image.

References colorDepth().

Referenced by colorDepth(), and setColorDepth().

## data()

ByteVector TagLib::FLAC::Picture::data | ( |  | ) | const

Returns the image data.

References data().

Referenced by data(), parse(), Picture(), and setData().

## description()

String TagLib::FLAC::Picture::description | ( |  | ) | const

Returns a text description of the image.

References description().

Referenced by description(), and setDescription().

## height()

int TagLib::FLAC::Picture::height | ( |  | ) | const

Returns the height of the image.

References height().

Referenced by height(), and setHeight().

## mimeType()

String TagLib::FLAC::Picture::mimeType | ( |  | ) | const

Returns the mime type of the image. This should in most cases be "image/png" or "image/jpeg".

References mimeType().

Referenced by mimeType(), and setMimeType().

## numColors()

int TagLib::FLAC::Picture::numColors | ( |  | ) | const

Returns the number of colors used on the image..

References numColors().

Referenced by numColors(), and setNumColors().

## operator=()

Picture & TagLib::FLAC::Picture::operator= | ( | const Picture & | item | ) |

delete

References Picture().

## parse()

bool TagLib::FLAC::Picture::parse | ( | const ByteVector & | data | ) |

Parse the picture data in the FLAC picture block format.

References data(), parse(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

Referenced by parse().

## render()

ByteVector TagLib::FLAC::Picture::render | ( |  | ) | const

override virtual

Render the content to the FLAC picture block format.

Implements TagLib::FLAC::MetadataBlock.

References render().

Referenced by render().

## setColorDepth()

void TagLib::FLAC::Picture::setColorDepth | ( | int | colorDepth | ) |

Sets the color depth (in bits-per-pixel) of the image.

References colorDepth(), and setColorDepth().

Referenced by setColorDepth().

## setData()

void TagLib::FLAC::Picture::setData | ( | const ByteVector & | data | ) |

Sets the image data.

References data(), and setData().

Referenced by setData().

## setDescription()

void TagLib::FLAC::Picture::setDescription | ( | const String & | description | ) |

Sets a textual description of the image to description.

References description(), and setDescription().

Referenced by setDescription().

## setHeight()

void TagLib::FLAC::Picture::setHeight | ( | int | height | ) |

Sets the height of the image.

References height(), and setHeight().

Referenced by setHeight().

## setMimeType()

void TagLib::FLAC::Picture::setMimeType | ( | const String & | mimeType | ) |

Sets the mime type of the image. This should in most cases be "image/png" or "image/jpeg".

References mimeType(), and setMimeType().

Referenced by setMimeType().

## setNumColors()

void TagLib::FLAC::Picture::setNumColors | ( | int | numColors | ) |

Sets the number of colors used on the image (for indexed images).

References numColors(), and setNumColors().

Referenced by setNumColors().

## setType()

void TagLib::FLAC::Picture::setType | ( | Type | type | ) |

Sets the type of the image.

References setType(), and type().

Referenced by setType().

## setWidth()

void TagLib::FLAC::Picture::setWidth | ( | int | width | ) |

Sets the width of the image.

References setWidth(), and width().

Referenced by setWidth().

## type()

Type TagLib::FLAC::Picture::type | ( |  | ) | const

Returns the type of the image.

References type().

Referenced by setType(), and type().

## width()

int TagLib::FLAC::Picture::width | ( |  | ) | const

Returns the width of the image.

References width().

Referenced by setWidth(), and width().

The documentation for this class was generated from the following file:

- flacpicture.h